package com.chinacreator.process.bean;

import java.util.Date;

import org.apache.commons.lang.time.DateFormatUtils;

public class NetOrderBean {


	
	public static final int USER_ORDER = 2;
	public static final int VAC_ORDER = 3;
	public static final int USER_CANCEL_ORDER = 4;
	public static final int VAC_CANCEL_ORDER = 5;
	public static final int KF_CANCEL_ORDER = 6;
	public static final int MIXED_ORDER = 7;
	public static final int CARD_ORDER = 8;
	public static final int EXPERIENCE_CARD_ORDER = 9;
	
	private String id;
	private String cpid;
	private String spid;
	private String userid;
	private Date ordertime;
	private Date canceltime;
	private Date endtime;
	private String status = "0";
	private String province;
	private String area;
	private String synccount;
	private String syncsucceed;
	private String orderchannel;
	private String cancelchannel;
	private int orderstatus = USER_ORDER;
	private int type = 1;
	private String fromurl;
	private int isslience = 0;
	private String spname;
	private Date sysdate;
	private Date effecttime;
	private String apptype;
	private String ordertype = "1";
	private int isexperience = 0;
	private String videoid;
	private String videoname;
	private String videourl;
	private String videotag;
	private String videosize;
	private String ordervaccode = "0";
	private String imsi;
	private String productid;
	private String showstatus = "";
	/**
	 * 是否已经发送短信
	 */
	private int issms;
	
	private String batchid;

	private String vipconflag; //续送会员标识，0是，1否

	private String staffid;  //员工号
	private String departid; //渠道号

	private String channel2; //二级渠道
	
	private String syncstatus;
	//private String channel; 
	
	public String getSyncstatus() {
		return syncstatus;
	}

	public void setSyncstatus(String syncstatus) {
		this.syncstatus = syncstatus;
	}

	public String getVipconflag() {
		return vipconflag;
	}
	
	public String getBatchid() {
		return batchid;
	}

	public void setBatchid(String batchid) {
		this.batchid = batchid;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getCpid() {
		return cpid;
	}

	public void setCpid(String cpid) {
		this.cpid = cpid;
	}

	public String getUserid() {
		return userid;
	}

	public void setUserid(String userid) {
		this.userid = userid;
	}

	public Date getOrdertime() {
		return ordertime;
	}

	public void setOrdertime(Date orderTime) {
		this.ordertime = orderTime;
	}

	public Date getCanceltime() {
		return canceltime;
	}

	public void setCanceltime(Date cancelTime) {
		this.canceltime = cancelTime;
	}

	public Date getEndtime() {
		return endtime;
	}

	public void setEndtime(Date endTime) {
		this.endtime = endTime;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}

	public String getSynccount() {
		return synccount;
	}

	public void setSynccount(String synccount) {
		this.synccount = synccount;
	}

	public String getSyncsucceed() {
		return syncsucceed;
	}

	public void setSyncsucceed(String syncsucceed) {
		this.syncsucceed = syncsucceed;
	}

	public int getIssms() {
		return issms;
	}

	public void setIssms(int issms) {
		this.issms = issms;
	}

	public String getOrderchannel() {
		return orderchannel;
	}

	public String getCancelchannel() {
		return cancelchannel;
	}

	public void setOrderchannel(String orderchannel) {
		this.orderchannel = orderchannel;
	}

	public void setCancelchannel(String cancelchannel) {
		this.cancelchannel = cancelchannel;
	}

	public int getOrderstatus() {
		return orderstatus;
	}

	public void setOrderstatus(int orderstatus) {
		this.orderstatus = orderstatus;
	}

	public String getFromurl() {
		return fromurl;
	}

	public void setFromurl(String fromurl) {
		this.fromurl = fromurl;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}
	
	public String getChannelcode() {
		if("0".equals(status)) {
			return orderchannel;
		}
		return cancelchannel;
	}

	public int getIsslience() {
		return isslience;
	}

	public void setIsslience(int isslience) {
		this.isslience = isslience;
	}

	public String getSpname() {
		return spname;
	}

	public void setSpname(String spname) {
		this.spname = spname;
	}

	public Date getSysdate() {
		return sysdate;
	}

	public void setSysdate(Date sysdate) {
		this.sysdate = sysdate;
	}

	public Date getEffecttime() {
		return effecttime;
	}

	public void setEffecttime(Date effecttime) {
		this.effecttime = effecttime;
	}
	
	public String getEffecttimestr() {
		if(effecttime == null) {
			return null;
		}
		return DateFormatUtils.format(effecttime, "yyyyMMddHHmmss");
	}
	
	public String getCanceltimestr() {
		if(canceltime == null) {
			return null;
		}
		return DateFormatUtils.format(canceltime, "yyyyMMddHHmmss");
	}
	
	public String getOrdertimestr() {
		if(ordertime == null) {
			return null;
		}
		return DateFormatUtils.format(ordertime, "yyyyMMddHHmmss");
	}
	
	public String getEndtimestr() {
		if(endtime == null) {
			return null;
		}
		return DateFormatUtils.format(endtime, "yyyyMMddHHmmss");
	}

	public String getApptype() {
		return apptype;
	}

	public String getOrdertype() {
		return ordertype;
	}

	public void setApptype(String apptype) {
		this.apptype = apptype;
	}

	public void setOrdertype(String ordertype) {
		this.ordertype = ordertype;
	}

	public int getIsexperience() {
		return isexperience;
	}

	public void setIsexperience(int isexperience) {
		this.isexperience = isexperience;
	}

	public String getVideoid() {
		return videoid;
	}

	public void setVideoid(String videoid) {
		this.videoid = videoid;
	}

	public String getVideoname() {
		return videoname;
	}

	public void setVideoname(String videoname) {
		this.videoname = videoname;
	}

	public String getVideourl() {
		return videourl;
	}

	public void setVideourl(String videourl) {
		this.videourl = videourl;
	}

	public String getVideotag() {
		return videotag;
	}

	public void setVideotag(String videotag) {
		this.videotag = videotag;
	}

	public static int getUserOrder() {
		return USER_ORDER;
	}

	public static int getVacOrder() {
		return VAC_ORDER;
	}

	public static int getUserCancelOrder() {
		return USER_CANCEL_ORDER;
	}

	public static int getVacCancelOrder() {
		return VAC_CANCEL_ORDER;
	}

	public static int getKfCancelOrder() {
		return KF_CANCEL_ORDER;
	}

	public static int getCardOrder() {
		return CARD_ORDER;
	}

	public String getVideosize() {
		return videosize;
	}

	public void setVideosize(String videosize) {
		this.videosize = videosize;
	}


	public String getSpid() {
		return spid;
	}

	public void setSpid(String spid) {
		this.spid = spid;
	}

	public String getOrdervaccode() {
		return ordervaccode;
	}

	public void setOrdervaccode(String ordervaccode) {
		this.ordervaccode = ordervaccode;
	}

	public String getImsi() {
		return imsi;
	}

	public void setImsi(String imsi) {
		this.imsi = imsi;
	}

	public String getProductid() {
		return productid;
	}

	public void setProductid(String productid) {
		this.productid = productid;
	}

	public String getShowstatus() {
		return showstatus;
	}

	public void setShowstatus(String showstatus) {
		this.showstatus = showstatus;
	}

	public String getStaffid() {
		return staffid;
	}

	public void setStaffid(String staffid) {
		this.staffid = staffid;
	}

	public String getDepartid() {
		return departid;
	}

	public void setDepartid(String departid) {
		this.departid = departid;
	}

	public String getChannel2() {
		return channel2;
	}

	public void setChannel2(String channel2) {
		this.channel2 = channel2;
	}
}
